Summary: GNOME desktop calculator
Name: gcalctool
Version: 5.5.42
Release: 6mdk
License: GPL
Group: Graphical desktop/GNOME
URL: http://calctool.sourceforge.net/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: gcalctool-32.png
Source2: gcalctool-16.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgnomeui2-devel
BuildRequires: flex
BuildRequires: bison
BuildRequires: scrollkeeper
#gw needed by the intltool scripts
BuildRequires: perl-XML-Parser
#gw if we call aclocal
BuildRequires: automake1.8
BuildRequires: intltool
Requires: scrollkeeper
Conflicts: gnome-utils < 2.3.3

%description
gcalctool is a desktop calculator.
It has Basic, Financial and Scientific modes. Internally it uses multiple
precision arithmetic to produce results to a high degree of accuracy.

%prep
%setup -q
aclocal-1.8
autoconf

%build

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/*/{*-??.omf,*-??_??.omf};do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):  \
  needs="X11" \
  section="Office/Accessories" \
  title="Gnome Calculator" \
  longtitle="Perform calculations"  \
  command="%{_bindir}/gcalctool" \
  icon="gcalctool.png"  \
  startup_notify="true"
EOF

mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
install -m 644 %SOURCE1 %buildroot%_iconsdir/%name.png
install -m 644 %SOURCE2 %buildroot%_miconsdir/%name.png
#gw this is in the gnome-icon-theme package
ln -s %{_datadir}/icons/hicolor/48x48/apps/gnome-calculator.png %buildroot%{_liconsdir}/%name.png

%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gcalctool.schemas > /dev/null
%{update_menus}
touch %{_datadir}/gnome/help/gcalctool/C/gcalctool.html

%preun
if [ "$1" = "0" ] ; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gcalctool.schemas > /dev/null
fi

%postun 
%{clean_menus}
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q|| true ; fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS ChangeLog AUTHORS TODO
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/%{name}-C.omf
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Sat May 21 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 5.5.42-6mdk
- add BuildRequires: automake1.8

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 5.5.42-5mdk
- fix URL (Gaetan Lehmann)

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 5.5.42-4mdk
- fix buildrequires

* Tue May  3 2005 Gtz Waschk <waschk@mandriva.org> 5.5.42-3mdk
- fix build on x86_64

* Tue Apr 19 2005 Gtz Waschk <waschk@mandriva.org> 5.5.42-2mdk
- fix buildrequires

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 5.5.42-1mdk 
- Release 5.5.42 (based on Gtz Waschk package)

* Thu Jan 13 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 4.4.22-1mdk
- New release 4.4.22

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.4.20-1mdk
- New release 4.4.20

* Tue Jul 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 4.3.51-3mdk
- fix menu conflict with X11R6-contrib

* Wed Jun 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.3.51-2mdk
- Revert to 4.3.51 (4.4.8 is not 2.6 material)

* Tue Jun  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 4.4.8-1mdk
- fix icon
- adapt file list
- New release 4.4.8

* Wed Apr  7 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.3.51-1mdk
- New release 4.3.51

* Fri Jan 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 4.3.38-2mdk
- fix buildrequires

* Wed Jan 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 4.3.38-1mdk
- new version

* Mon Jan 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.3.37-1mdk
- Release 4.3.37

* Thu Jan 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.3.35-1mdk
- Release 4.3.35

* Tue Dec 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 4.3.31-1mdk
- Release 4.3.31

* Sat Dec  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.3.29-1mdk
- drop the patch again
- new version

* Sat Dec  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.3.28-2mdk
- patch: fix crash on startup

* Fri Dec  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.3.28-1mdk
- new version

* Thu Nov 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.3.22-1mdk
- new version

* Tue Nov 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.3.21-1mdk
- new version

* Fri Nov 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 4.3.16-1mdk
- Release 4.3.16

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.3.15-1mdk
- new version

* Mon Sep 08 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 4.3.3-1mdk
- Release 4.3.3

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 4.3.2-1mdk
- Release 4.3.2

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 4.3.0-1mdk
- Release 4.3.0

* Wed Jul 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 4.2.103-1mdk
- Release 4.2.103

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 4.2.99-1mdk
- Release 4.2.99

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 4.2.86-1mdk
- Release 4.2.86

* Sun May  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.2.83-2mdk
- fix install stage (schema installation)
- include the icons
- pregenerate the html help file

* Mon Apr 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 4.2.83-1mdk
- Release 4.2.83

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 4.2.77-1mdk
- First Mandrake package


